summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatt Wilson <msw@redhat.com>2000-06-29 16:42:19 +0000
committerMatt Wilson <msw@redhat.com>2000-06-29 16:42:19 +0000
commit72b7fc5d1b2ca1001f509d3997978d3aafaf920c (patch)
treecb792a844b4642360cfc733d10d01404964502f8 /scripts
parent276e9243ad6fd6268e576bddbd969324a33502a2 (diff)
downloadanaconda-72b7fc5d1b2ca1001f509d3997978d3aafaf920c.tar.gz
anaconda-72b7fc5d1b2ca1001f509d3997978d3aafaf920c.tar.xz
anaconda-72b7fc5d1b2ca1001f509d3997978d3aafaf920c.zip
patch from hj, make images bigger
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mk-images3
-rw-r--r--scripts/mk-images.i3864
2 files changed, 4 insertions, 3 deletions
diff --git a/scripts/mk-images b/scripts/mk-images
index 1bc848ceb..4ad99891e 100755
--- a/scripts/mk-images
+++ b/scripts/mk-images
@@ -653,7 +653,8 @@ makedriverdisk () {
rmdir /tmp/mkdd.$$/lost+found
(cd $diskpath; tar cSpf - .) | (cd /tmp/mkdd.$$; tar xSpf -)
DIE=""
- if [ $(du -s $diskpath | cut -f1) != $(du -s /tmp/mkdd.$$ | cut -f1) ]; then
+ diff -upr $diskpath /tmp/mkdd.$$ > /dev/null 2>&1
+ if [ $? != 0 ]; then
echo copy to disk image failed
ls -l /tmp/mkdd.$$
echo "disk size: $size"
diff --git a/scripts/mk-images.i386 b/scripts/mk-images.i386
index b80c12b8e..b594cf94b 100644
--- a/scripts/mk-images.i386
+++ b/scripts/mk-images.i386
@@ -112,6 +112,6 @@ makedriverdisk "Parallel port IDE Drivers" "paride" "parport_pc parport pcd pari
makemainmodules "=scsi =net $SECSTAGE"
-makeinstimage --size1 2800 --size2 2460 "netstg" "=scsi $SECSTAGE"
-makeinstimage --size1 2800 --size2 2460 "hdstg" "=net $SECSTAGE"
+makeinstimage --size1 2800 --size2 2660 "netstg" "=scsi $SECSTAGE"
+makeinstimage --size1 2800 --size2 2660 "hdstg" "=net $SECSTAGE"
makemainimage "stage2"